Var x,y: Longint;
    kq: Real;
Procedure Doc;
  Begin
      Assign(input,'tamgiac.inp'); Reset(input);
      Assign(output,'tamgiac.out'); Rewrite(output);
      read(x,y);
  End;
Procedure Xl;
  Begin
      kq:= Sqrt(Sqr(x)-sqr(y));
      Write(kq:0:2);
  end;
Begin
    Doc;
    xl;
End.